GET /pricelists/{listId}/prices

Retrieve prices for products in a specific pricelist. Optionally filter by product IDs.

Headers

  • Authorization string Required

    Authorization header

Path parameters

  • listId integer Required

    The unique identifier of the pricelist

Query parameters

  • productIds string

    Comma-separated list of product IDs and/or ranges of product IDs (using .. as separator) to filter prices

Responses

  • 200 application/json

    OK

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
    Hide response attributes Show response attributes object
    • productId integer Required

      Product identifier

    • price number(float) Required

      Price for the product in this pricelist

  • 401

    Unauthorized. Missing or invalid bearer token.

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
  • 404

    Pricelist not found.

    Hide headers attributes Show headers attributes
    • Access-Control-Allow-Origin string
    • Access-Control-Allow-Credentials string
    • X-Trace-Id string
GET /pricelists/{listId}/prices
curl \
 --request GET 'https://rest.api.24sevenoffice.com/v1/pricelists/{listId}/prices' \
 --header "Authorization: string"
Response examples (200)
# Headers
Access-Control-Allow-Origin: string
Access-Control-Allow-Credentials: string
X-Trace-Id: string

# Payload
[
  {
    "productId": 123,
    "price": 99.99
  }
]